{ config, lib, ... }:
{
  programs.ssh = {
    enable = true;
    addKeysToAgent = "yes";
    compression = true;
    matchBlocks = {
      # Personal servers
      sv1.hostname = "sv1.nixfox.ca";
      sv2.hostname = "sv2.nixfox.ca";
      mx.hostname = "mx.nixfox.ca";

      # Other servers
      bloxel.hostname = "rtmp.bloxelcom.net";
      seneca = {
        hostname = "matrix.senecapolytechnic.ca";
        user = "jhampton1";
      };
    };
  };
}
